## GESUriClip GESUriClip — An object for manipulating media files in a GESTimeline |

## Functions

GESUriClip * | ges_uri_clip_new ()
const gchar * | ges_uri_clip_get_uri ()
gboolean | ges_uri_clip_is_image ()
gboolean | ges_uri_clip_is_muted ()

## Properties

gboolean | is-image | Read / Write / Construct
gboolean | mute | Read / Write / Construct
GESTrackType | supported-formats | Read / Write / Construct
gchar * | uri | Read / Write / Construct Only

## Types and Values

| GESUriClip

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESContainer
                    ╰── GESClip
                        ╰── GESSourceClip
                            ╰── GESUriClip

## Implemented Interfaces

GESUriClip implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

Represents all the output streams from a particular uri. It is assumed that the URI points to a file of some type.

## Functions

### ges_uri_clip_new ()

    GESUriClip *
    ges_uri_clip_new (const gchar *uri);

Creates a new GESUriClip for the provided `uri` .

#### Parameters

uri | the URI the source should control |

#### Returns

The newly created GESUriClip, or `NULL` if there was an error.

[transfer floating][nullable]

### ges_uri_clip_get_uri ()

    const gchar *
    ges_uri_clip_get_uri (GESUriClip *self);

Get the location of the resource.

#### Parameters

self | the GESUriClip |

#### Returns

The location of the resource.

### ges_uri_clip_is_image ()

    gboolean
    ges_uri_clip_is_image (GESUriClip *self);

Lets you know if `self` is an image or not.

#### Parameters

self | the GESUriClip |

#### Returns

`TRUE` if `self` is a still image `FALSE` otherwise.

### ges_uri_clip_is_muted ()

    gboolean
    ges_uri_clip_is_muted (GESUriClip *self);

Lets you know if the audio track of `self` is muted or not.

#### Parameters

self | the GESUriClip |

#### Returns

`TRUE` if the audio track of `self` is muted, `FALSE` otherwise.

## Types and Values

### GESUriClip

    typedef struct _GESUriClip GESUriClip;

## Property Details

### The `“is-image”` property

      “is-image”                 gboolean

Whether this uri clip represents a still image or not. This must be set before create_track_elements is called.

Flags: Read / Write / Construct

Default value: FALSE

### The `“mute”` property

      “mute”                     gboolean

Whether the sound will be played or not.

Flags: Read / Write / Construct

Default value: FALSE

### The `“supported-formats”` property

      “supported-formats”        GESTrackType

Formats supported by the file.

Flags: Read / Write / Construct

Default value: GES_TRACK_TYPE_UNKNOWN

### The `“uri”` property

      “uri”                      gchar *

The location of the file/resource to use.

Flags: Read / Write / Construct Only

Default value: NULL